import { CanActivate, ExecutionContext, OnModuleInit } from '@nestjs/common';
import { ModuleRef, Reflector } from '@nestjs/core';
export declare class AdminAuthGuard implements CanActivate, OnModuleInit {
    private moduleRef;
    private reflector;
    private adminUserService;
    constructor(moduleRef: ModuleRef, reflector: Reflector);
    onModuleInit(): Promise<void>;
    canActivate(context: ExecutionContext): Promise<boolean>;
}
