/// <reference types="node" />
import { IAdminGlobal, IUserStore } from './types';
import * as EventEmitter from 'events';
export declare const captchaList: {};
export declare class AdminStore {
    static caches: {
        [key: string]: any;
    };
    static getCaches(key: string): any;
    static setCaches(key: string, value: any): void;
    static getAllCaches(): {
        [key: string]: any;
    };
}
export declare const Store: {
    userStore: IUserStore;
};
declare class MyEmitter extends EventEmitter {
}
export declare const myEmitterInstalled: MyEmitter;
export declare const ADMIN_PARAM_TOKEN = "__ADMIN_PARAM_TOKEN__";
export declare const ADMIN_PARAM_INIT_TOKEN = "__ADMIN_PARAM_INIT_TOKEN__";
export declare const ADMIN_GLOBAL: IAdminGlobal;
export {};
