export declare class UserAuthCache {
    cacheList: Record<string, unknown>;
    options: any;
    constructor(options?: any);
    get(key: string): Promise<unknown>;
    getAll(): Promise<Record<string, unknown>>;
    set(key: string, value: string): Promise<string>;
    remove(key: any): Promise<boolean>;
}
export declare const generateHash: (len?: number) => string;
export declare const randomString: (len?: number) => string;
export declare const randomString2: (len?: number, charSet?: string) => string;
export declare const generateSha1: (str: string) => string;
