"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdminMenuController = void 0;
const common_1 = require("@nestjs/common");
const nestjs_abstract_module_1 = require("nestjs-abstract-module");
const entity_1 = require("./entity");
const service_1 = require("./service");
const decorators_1 = require("../decorators");
const global_var_1 = require("../global.var");
const CrudController = (0, nestjs_abstract_module_1.WrapController)({
    model: entity_1.AdminMenuEntity,
    afterFunctions: {
        update: function (result) {
            return __awaiter(this, void 0, void 0, function* () {
                global_var_1.myEmitterInstalled.emit('menu_update', result);
                return result;
            });
        },
    },
});
let AdminMenuController = class AdminMenuController extends CrudController {
    constructor(service) {
        super(service);
        this.service = service;
    }
};
AdminMenuController = __decorate([
    (0, decorators_1.AuthPermissionGuard)(),
    (0, common_1.Controller)('admin/menu'),
    __metadata("design:paramtypes", [service_1.AdminMenuService])
], AdminMenuController);
exports.AdminMenuController = AdminMenuController;
