"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdminPermissionController = void 0;
const common_1 = require("@nestjs/common");
const nestjs_abstract_module_1 = require("nestjs-abstract-module");
const entity_1 = require("./entity");
const service_1 = require("./service");
const decorators_1 = require("../decorators");
const global_var_1 = require("../global.var");
const CrudController = (0, nestjs_abstract_module_1.WrapController)({
    model: entity_1.AdminPermissionEntity,
    afterFunctions: {
        update: function (result) {
            global_var_1.myEmitterInstalled.emit('permission_update', result);
            return result;
        },
    },
});
let AdminPermissionController = class AdminPermissionController extends CrudController {
    constructor(service) {
        super(service);
        this.service = service;
    }
};
AdminPermissionController = __decorate([
    (0, decorators_1.AuthPermissionGuard)(),
    (0, common_1.Controller)('admin/permission'),
    __metadata("design:paramtypes", [service_1.AdminPermissionService])
], AdminPermissionController);
exports.AdminPermissionController = AdminPermissionController;
