import { AdminRoleService } from './service';
import { SetRoleMenuDto, SetRolePermissionDto } from './dto';
declare const CrudController: new (...args: any[]) => {
    readonly _service: import("nestjs-abstract-module").AbstractTypeOrmService<unknown>;
    findAll: (query: import("nestjs-abstract-module").FindAllQuery) => Promise<{
        data: {
            list: unknown[];
        } | import("nestjs-abstract-module").IpaginationResult<unknown>;
    }>;
    findOne: (id: number) => Promise<{
        data: unknown;
    }>;
    create: (body: any) => Promise<{
        data: any;
    }>;
    update: (id: number, body: any) => Promise<{
        data: unknown;
    }>;
    delete: (id: number) => Promise<boolean>;
};
export declare class AdminRoleController extends CrudController {
    readonly service: AdminRoleService;
    constructor(service: AdminRoleService);
    setRolePermission(role_id: number, body: SetRolePermissionDto): Promise<boolean>;
    getRolePermission(role_id: number): Promise<any>;
    setRoleMenu(role_id: number, body: SetRoleMenuDto): Promise<boolean>;
    getRoleMenu(role_id: number): Promise<any>;
}
export {};
