import { AdminAuthGuard } from './guards';
import { AdminPermissionGuard } from './permission_guard';
import { PublicGuard } from './piblic_guard';
export declare const AuthGuard: () => <TFunction extends Function, Y>(target: object | TFunction, propertyKey?: string | symbol, descriptor?: TypedPropertyDescriptor<Y>) => void;
export declare const AuthPermissionGuard: () => <TFunction extends Function, Y>(target: object | TFunction, propertyKey?: string | symbol, descriptor?: TypedPropertyDescriptor<Y>) => void;
export declare const PublicDecorator: (flag?: boolean) => <TFunction extends Function, Y>(target: object | TFunction, propertyKey?: string | symbol, descriptor?: TypedPropertyDescriptor<Y>) => void;
declare const _default: {
    AdminAuthGuard: typeof AdminAuthGuard;
    AdminPermissionGuard: typeof AdminPermissionGuard;
    PublicGuard: typeof PublicGuard;
    AuthGuard: () => <TFunction extends Function, Y>(target: object | TFunction, propertyKey?: string | symbol, descriptor?: TypedPropertyDescriptor<Y>) => void;
};
export default _default;
