"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdminMenuEntity = void 0;
const typeorm_1 = require("typeorm");
const nestjs_abstract_module_1 = require("nestjs-abstract-module");
const class_validator_1 = require("class-validator");
let AdminMenuEntity = class AdminMenuEntity extends nestjs_abstract_module_1.AbstractTypeEntity {
};
AdminMenuEntity.__delete_table__ = 'del_admin_menu';
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], AdminMenuEntity.prototype, "name", void 0);
__decorate([
    (0, class_validator_1.IsNotEmpty)(),
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], AdminMenuEntity.prototype, "url", void 0);
__decorate([
    (0, typeorm_1.Column)({
        default: '',
    }),
    __metadata("design:type", String)
], AdminMenuEntity.prototype, "description", void 0);
AdminMenuEntity = __decorate([
    (0, typeorm_1.Entity)('admin_menu', {
        synchronize: false
    })
], AdminMenuEntity);
exports.AdminMenuEntity = AdminMenuEntity;
