"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdminPermissionEntity = void 0;
const typeorm_1 = require("typeorm");
const nestjs_abstract_module_1 = require("nestjs-abstract-module");
const types_1 = require("../types");
const class_validator_1 = require("class-validator");
let AdminPermissionEntity = class AdminPermissionEntity extends nestjs_abstract_module_1.AbstractTypeEntity {
};
AdminPermissionEntity.__delete_table__ = 'del_admin_permission';
__decorate([
    (0, class_validator_1.IsNotEmpty)(),
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], AdminPermissionEntity.prototype, "name", void 0);
__decorate([
    (0, class_validator_1.IsNotEmpty)(),
    (0, typeorm_1.Column)({
        type: 'enum',
        comment: 'url方法',
        enum: types_1.RequestMethods,
        default: types_1.RequestMethods.GET,
    }),
    __metadata("design:type", String)
], AdminPermissionEntity.prototype, "method", void 0);
__decorate([
    (0, typeorm_1.Column)({
        comment: '请求的url',
    }),
    __metadata("design:type", String)
], AdminPermissionEntity.prototype, "uri", void 0);
__decorate([
    (0, typeorm_1.Column)({
        default: '',
    }),
    __metadata("design:type", String)
], AdminPermissionEntity.prototype, "description", void 0);
AdminPermissionEntity = __decorate([
    (0, typeorm_1.Entity)('admin_permission', {
        synchronize: false
    })
], AdminPermissionEntity);
exports.AdminPermissionEntity = AdminPermissionEntity;
